﻿
$(function () {
    var flatDS = [
        { "orderNumber": 100216, "orderDate": "1/17/2015", "status": "Ordered" },
        { "orderNumber": 100215, "orderDate": "1/15/2015", "status": "Picking" },
        { "orderNumber": 100214, "orderDate": "1/13/2015", "status": "Packed" },
        { "orderNumber": 100214, "orderDate": "12/21/2014", "status": "Shipped" }
    ];

	
    $('#layout').igLayoutManager({
        layoutMode: "border",
        borderLayout: {
            leftWidth: "25%",
            rightWidth: "25%"
            }
    });

    $("#kbo-OrderTree").igTreeGrid({
        width: "100%",
        dataSource: flatDS, //bound to flat data source,
        autoGenerateColumns: false,
        primaryKey: "orderNumber",
        columns: [
            { headerText: "Order", key: "orderNumber", width: "100px", dataType: "number" },
            { headerText: "Date", key: "orderDate", width: "100px", dataType: "date" },
            { headerText: "Status", key: "status", width: "100px", dataType: "string" }
        ],
        // tree grid specific options
        key: "orderNumber",
        hierarchicalDataSource: false,
        initialExpandDepth: 1
    });
   
   
});
